Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Interface CopyInformee

All Known Implementing Classes:
  LocationCopier

    public interface CopyInformee

A CopyInformee is an agent that receives extra information while a tree is being copied. Specifically, each time an element node is copied to the receiver, before calling the startElement() method, the copying code will first call notifyElementNode(), giving the informee extra information about the element currently being copied.

Method Summary
`int` | `notifyElementNode(NodeInfo element)` Provide information about the node being copied.

Method Detail

### notifyElementNode

    int notifyElementNode(NodeInfo element)

  Provide information about the node being copied. This method is called immediately before the startElement call for the element node in question.

  Parameters:
    `element` - the node being copied, which must be an element node
  Returns:
    int a locationId to be used when referring to this element in the pipeline

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.